Buscar no índice

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /transformersapi/1.0/index_search
Campo Obrigatório Descrição
index Sim Nome do base de dados
item Sim Texto a ser pesquisado
size Não Itens por página (mín: 1, padrão: 5)
page Não Número da página (mín: 1, padrão: 1)
client_hostname Não Hostname do ambiente do cliente
client_username Não Usuário que está requisitando a API
application/json

Body

  • index string
  • item string
  • size number
  • page number
  • client_hostname string
  • client_username string

Responses

  • 200 application/json

    Requisição processada com sucesso. Retorna os dados correspondentes ao filtro informado.

    Hide response attributes Show response attributes object
    • answer array[object]
      Hide answer attributes Show answer attributes object
      • text string
      • score number
    • totalElements number
    • hasMorePages boolean
  • 400 application/json

    Requisição inválida. Verifique a sintaxe do corpo e os campos obrigatórios.

    Hide response attribute Show response attribute object
    • detail string
  • 401 application/json

    Token de autenticação ausente ou inválido. Envie o header Authorization: Bearer {token}.

    Hide response attribute Show response attribute object
    • status string
  • 500 application/json

    Erro interno no servidor. Tente novamente mais tarde ou contate o suporte Neppo.

    Hide response attribute Show response attribute object
    • detail string
POST /transformersapi/1.0/index_search
curl \
 --request POST 'https://api.neppo.com.br/transformersapi/1.0/index_search' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"index":"meu_indice","item":"texto para busca","size":5,"page":1,"client_hostname":"meu-ambiente.neppo.com.br","client_username":"usuario"}'
Request example
{
  "index": "meu_indice",
  "item": "texto para busca",
  "size": 5,
  "page": 1,
  "client_hostname": "meu-ambiente.neppo.com.br",
  "client_username": "usuario"
}
Response examples (200)
{
  "answer": [
    {
      "text": "Resultado encontrado no índice",
      "score": 87.43
    }
  ],
  "totalElements": 10,
  "hasMorePages": true
}
Response examples (400)
{
  "detail": "Requisição inválida ou índice não encontrado."
}
Response examples (401)
{
  "status": "Unauthorized"
}
Response examples (500)
{
  "detail": "Erro interno ou timeout."
}